package com.steering.pss.plnsaleord.GpOptimize.model;
/**
 * 数据库表PLN_GX_CAST_M所对应的实体类（生成工具：代码生成器3.0）
 * @author xiaohai-PC   date 2016-06-29
 */
@SuppressWarnings("serial")
public class PlnGxCastMEntity implements java.io.Serializable {
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * 管坯需求编号
     */
    private String gpreqId = "";
    /**
     * 管坯类型（1铸坯2锻坯）
     */
    private String gptype = "";
    /**
     * 铸造类型（连铸、模铸）
     */
    private String castingtype = "";
    /**
     * 可选铸造产线编码
     */
    private String plineCodeMay = "";
    /**
     * 可选铸造产线描述
     */
    private String plineNameMay = "";
    /**
     * 默认铸造产线编码
     */
    private String plineCode = "";
    /**
     * 默认铸造产线描述
     */
    private String plineName = "";
    /**
     * 默认铸造产线编码
     */
    public String getPlineCode() {
        return plineCode;
    }
    /**
     * 默认铸造产线编码
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }
    /**
     * 默认铸造产线描述
     */
    public String getPlineName() {
        return plineName;
    }
    /**
     * 默认铸造产线描述
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 连铸坯直径
     */
    private String diameterLz = "";
    /**
     * 单倍坯长（锻坯类型为空）
     */
    private String lenGpSingle = "";
    /**
     * 倍尺数
     */
    private String cutNumGp = "";
    /**
     * 切损长度（mm）
     */
    private String cutLoseLen = "";
    /**
     * 连铸坯长度
     */
    private String lengthLz = "";
    /**
     * 铸造坯物料编码
     */
    private String materialNo = "";
    /**
     * 铸造坯物料描述
     */
    private String materialName = "";
    /**
     * 成分标准索引号集合(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号集合(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号集合(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号集合(内控)
     */
    private String dic = "";
    /**
     * 水压索引码集合(内控)
     */
    private String wic = "";
    /**
     * 加工标准索引号集合(内控)
     */
    private String gic = "";
    /**
     * 是否炼钢监制
     */
    private String ifMonitorLg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 炼钢监制点
     */
    private String monitorPoint = "";
    /**
     * 铸造坯单重(模铸为铸锭单重)
     */
    private String wtCastOne = "";
    /**
     * 订单重量
     */
    private String planWt = "";
    /**
     * 订单支数
     */
    private String planNum = "";
    /**
     * 估算浇次数
     */
    private String castNumCalc = "";
    /**
     * 估算总炉数
     */
    private String furnaceNumCalc = "";
    /**
     * 已排浇次数
     */
    private String castNum = "";
    /**
     * 已排总炉数
     */
    private String furnaceNum = "";
    /**
     * 生产完成重量
     */
    private String finishweight = "";
    /**
     * 需求状态（1计划，2排产，3生产中，4生产完成，5关闭，6取消，9封闭）
     */
    private String reqStatus = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 管坯需求编号
     * @return value
     */
    public String getGpreqId() {
        return gpreqId;
    }

    /**
     * 管坯需求编号
     * @param gpreqId value
     */
    public void setGpreqId(String gpreqId) {
        this.gpreqId = gpreqId;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @return value
     */
    public String getGptype() {
        return gptype;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @param gptype value
     */
    public void setGptype(String gptype) {
        this.gptype = gptype;
    }

    /**
     * 铸造类型（连铸、模铸）
     * @return value
     */
    public String getCastingtype() {
        return castingtype;
    }

    /**
     * 铸造类型（连铸、模铸）
     * @param castingtype value
     */
    public void setCastingtype(String castingtype) {
        this.castingtype = castingtype;
    }

    /**
     * 可选铸造产线编码
     * @return value
     */
    public String getPlineCodeMay() {
        return plineCodeMay;
    }

    /**
     * 可选铸造产线编码
     * @param plineCodeMay value
     */
    public void setPlineCodeMay(String plineCodeMay) {
        this.plineCodeMay = plineCodeMay;
    }

    /**
     * 可选铸造产线描述
     * @return value
     */
    public String getPlineNameMay() {
        return plineNameMay;
    }

    /**
     * 可选铸造产线描述
     * @param plineNameMay value
     */
    public void setPlineNameMay(String plineNameMay) {
        this.plineNameMay = plineNameMay;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 连铸坯直径
     * @return value
     */
    public String getDiameterLz() {
        return diameterLz;
    }

    /**
     * 连铸坯直径
     * @param diameterLz value
     */
    public void setDiameterLz(String diameterLz) {
        this.diameterLz = diameterLz;
    }

    /**
     * 单倍坯长（锻坯类型为空）
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长（锻坯类型为空）
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getCutNumGp() {
        return cutNumGp;
    }

    /**
     * 倍尺数
     * @param cutNumGp value
     */
    public void setCutNumGp(String cutNumGp) {
        this.cutNumGp = cutNumGp;
    }

    /**
     * 切损长度（mm）
     * @return value
     */
    public String getCutLoseLen() {
        return cutLoseLen;
    }

    /**
     * 切损长度（mm）
     * @param cutLoseLen value
     */
    public void setCutLoseLen(String cutLoseLen) {
        this.cutLoseLen = cutLoseLen;
    }

    /**
     * 连铸坯长度
     * @return value
     */
    public String getLengthLz() {
        return lengthLz;
    }

    /**
     * 连铸坯长度
     * @param lengthLz value
     */
    public void setLengthLz(String lengthLz) {
        this.lengthLz = lengthLz;
    }

    /**
     * 铸造坯物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 铸造坯物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 铸造坯物料描述
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 铸造坯物料描述
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 成分标准索引号集合(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号集合(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号集合(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号集合(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号集合(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号集合(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 水压索引码集合(内控)
     * @return value
     */
    public String getWic() {
        return wic;
    }

    /**
     * 水压索引码集合(内控)
     * @param wic value
     */
    public void setWic(String wic) {
        this.wic = wic;
    }

    /**
     * 加工标准索引号集合(内控)
     * @return value
     */
    public String getGic() {
        return gic;
    }

    /**
     * 加工标准索引号集合(内控)
     * @param gic value
     */
    public void setGic(String gic) {
        this.gic = gic;
    }

    /**
     * 是否炼钢监制
     * @return value
     */
    public String getIfMonitorLg() {
        return ifMonitorLg;
    }

    /**
     * 是否炼钢监制
     * @param ifMonitorLg value
     */
    public void setIfMonitorLg(String ifMonitorLg) {
        this.ifMonitorLg = ifMonitorLg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 炼钢监制点
     * @return value
     */
    public String getMonitorPoint() {
        return monitorPoint;
    }

    /**
     * 炼钢监制点
     * @param monitorPoint value
     */
    public void setMonitorPoint(String monitorPoint) {
        this.monitorPoint = monitorPoint;
    }

    /**
     * 铸造坯单重(模铸为铸锭单重)
     * @return value
     */
    public String getWtCastOne() {
        return wtCastOne;
    }

    /**
     * 铸造坯单重(模铸为铸锭单重)
     * @param wtCastOne value
     */
    public void setWtCastOne(String wtCastOne) {
        this.wtCastOne = wtCastOne;
    }

    /**
     * 订单重量
     * @return value
     */
    public String getPlanWt() {
        return planWt;
    }

    /**
     * 订单重量
     * @param planWt value
     */
    public void setPlanWt(String planWt) {
        this.planWt = planWt;
    }

    /**
     * 订单支数
     * @return value
     */
    public String getPlanNum() {
        return planNum;
    }

    /**
     * 订单支数
     * @param planNum value
     */
    public void setPlanNum(String planNum) {
        this.planNum = planNum;
    }

    /**
     * 估算浇次数
     * @return value
     */
    public String getCastNumCalc() {
        return castNumCalc;
    }

    /**
     * 估算浇次数
     * @param castNumCalc value
     */
    public void setCastNumCalc(String castNumCalc) {
        this.castNumCalc = castNumCalc;
    }

    /**
     * 估算总炉数
     * @return value
     */
    public String getFurnaceNumCalc() {
        return furnaceNumCalc;
    }

    /**
     * 估算总炉数
     * @param furnaceNumCalc value
     */
    public void setFurnaceNumCalc(String furnaceNumCalc) {
        this.furnaceNumCalc = furnaceNumCalc;
    }

    /**
     * 已排浇次数
     * @return value
     */
    public String getCastNum() {
        return castNum;
    }

    /**
     * 已排浇次数
     * @param castNum value
     */
    public void setCastNum(String castNum) {
        this.castNum = castNum;
    }

    /**
     * 已排总炉数
     * @return value
     */
    public String getFurnaceNum() {
        return furnaceNum;
    }

    /**
     * 已排总炉数
     * @param furnaceNum value
     */
    public void setFurnaceNum(String furnaceNum) {
        this.furnaceNum = furnaceNum;
    }

    /**
     * 生产完成重量
     * @return value
     */
    public String getFinishweight() {
        return finishweight;
    }

    /**
     * 生产完成重量
     * @param finishweight value
     */
    public void setFinishweight(String finishweight) {
        this.finishweight = finishweight;
    }

    /**
     * 需求状态（1计划，2排产，3生产中，4生产完成，5关闭，6取消，9封闭）
     * @return value
     */
    public String getReqStatus() {
        return reqStatus;
    }

    /**
     * 需求状态（1计划，2排产，3生产中，4生产完成，5关闭，6取消，9封闭）
     * @param reqStatus value
     */
    public void setReqStatus(String reqStatus) {
        this.reqStatus = reqStatus;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }
}